.bento__heading {
	text-align: center;
	max-width: 30ch;
	margin-inline: auto;
	margin-bottom: var(--space-xl);
}

.bento__items {
	display: grid;
	grid-template-columns: 1fr;
	gap: var(--space-m);
}

.bento__item {
	position: relative;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	aspect-ratio: 1;
	border-radius: 1.5rem;
	padding: var(--space-l);
}

.bento__item-image-wrap {
	position: absolute;
	z-index: 1;
	top: -60px;
	right: 0;
	bottom: 0;
	width: 55%;
	overflow: hidden;
	border-radius: 0 0 1.5rem 0;
	pointer-events: none;
}

.bento__item-image {
	display: block;
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: top center;
}

.bento__item-title {
	position: relative;
	z-index: 2;
	color: inherit;
	margin: 0;
}

.bento__item-footer {
	position: relative;
	z-index: 2;
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	gap: var(--space-m);
	margin-top: var(--space-l);
}

.bento__item-text {
	color: inherit;
	margin: 0;
	opacity: 0.85;
}

.bento__item--1 .bento__item-text,
.bento__item--2 .bento__item-text {
	max-width: 40ch;
}

@media ( max-width: 63.99rem ) {
	.bento__item-image-wrap {
		display: none;
	}

	.bento__item {
		justify-content: flex-start;
		aspect-ratio: auto;
	}

	.bento__item-footer {
		margin-top: var(--space-2xs);
	}

	.bento__item--1 .bento__item-footer,
	.bento__item--2 .bento__item-footer {
		margin-top: clamp(0.25rem, 1.25vw, 0.5rem);
	}
}

@media ( min-width: 64rem ) {
	.bento__items {
		grid-template-columns: repeat( 4, 1fr );
		grid-auto-rows: 1fr;
	}

	.bento__item {
		aspect-ratio: auto;
	}

	.bento__item--1 {
		grid-column: 1 / 3;
		grid-row: 1 / 3;
	}

	.bento__item--2 {
		grid-column: 3 / 5;
		grid-row: 1;
	}

	.bento__item--3 {
		grid-column: 3 / 4;
		grid-row: 2;
	}

	.bento__item--4 {
		grid-column: 4 / 5;
		grid-row: 2;
	}

	.bento__item--3 .bento__item-footer,
	.bento__item--4 .bento__item-footer {
		margin-top: var(--space-2xl);
	}

	.bento__item-image-wrap {
		width: 40%;
	}
}

@media ( min-width: 64rem ) and ( max-width: 100rem ) {
	.bento__item {
		padding: var(--space-m);
	}

	.bento__item-footer {
		margin-top: var(--space-2xs);
	}

	.bento__item--3 .bento__item-footer,
	.bento__item--4 .bento__item-footer {
		margin-top: var(--space-m);
	}

	.bento__item-image-wrap {
		width: 30%;
		top: -24px;
	}

	.bento__item--2 .bento__item-text {
		max-width: 26ch;
	}
}
